Recommends of Build-Depends no longer installed

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Recommends of Build-Depends no longer installed

Scott James Remnant-2
Bug #602130 was caused by the dbus package no longer being installed on
the buildd or by pbuilder despite being a recommends of one of the
build-dependencies.

I didn't see this change being announced, so I thought it was a good
idea to warn everyone that this has changed.

Scott
--
Scott James Remnant
[hidden email]

--
ubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel

signature.asc (205 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Recommends of Build-Depends no longer installed

Mackenzie Morgan-3
On Thu, Aug 12, 2010 at 4:40 PM, Scott James Remnant <[hidden email]> wrote:
> Bug #602130 was caused by the dbus package no longer being installed on
> the buildd or by pbuilder despite being a recommends of one of the
> build-dependencies.
>
> I didn't see this change being announced, so I thought it was a good
> idea to warn everyone that this has changed.

Combined with python-kde4-dev no longer depending (just recommending)
on python-kde4, it's something to watch out for on KDE packages too.

Though I reverted that depends->recommends change in bzr, it's not in
a released package in Maverick yet.

--
Mackenzie Morgan
http://ubuntulinuxtipstricks.blogspot.com
apt-get moo

--
ubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: Recommends of Build-Depends no longer installed

Martin Pitt-4
In reply to this post by Scott James Remnant-2
Hello Scott,

Scott James Remnant [2010-08-12 16:40 -0400]:
> Bug #602130 was caused by the dbus package no longer being installed on
> the buildd or by pbuilder despite being a recommends of one of the
> build-dependencies.

Are you sure that this ever worked? I had the impression that we have
never installed recommends by default for build dependencies, also as
a way to ensure that dependencies are actually correct.

Martin
--
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)

--
ubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel

signature.asc (853 bytes) Download Attachment